# MSP::CCS::EquidistantCylindrical Class Reference

`#include <EquidistantCylindrical.h>`

Inheritance diagram for MSP::CCS::EquidistantCylindrical:

List of all members.

## Public Member Functions

| EquidistantCylindrical (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double standardParallel, double falseEasting, double falseNorthing)
| EquidistantCylindrical (const EquidistantCylindrical &ec)
| ~EquidistantCylindrical (void)
EquidistantCylindrical & | operator= (const EquidistantCylindrical &ec)
EquidistantCylindricalParameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 103 of file EquidistantCylindrical.h.

## Constructor & Destructor Documentation

EquidistantCylindrical::EquidistantCylindrical | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | standardParallel,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 125 of file EquidistantCylindrical.cpp.

EquidistantCylindrical::EquidistantCylindrical | ( | const EquidistantCylindrical & | ec | ) |

Definition at line 242 of file EquidistantCylindrical.cpp.

EquidistantCylindrical::~EquidistantCylindrical | ( | void |  | ) |

Definition at line 262 of file EquidistantCylindrical.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * EquidistantCylindrical::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 314 of file EquidistantCylindrical.cpp.

MSP::CCS::GeodeticCoordinates * EquidistantCylindrical::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 365 of file EquidistantCylindrical.cpp.

EquidistantCylindricalParameters * EquidistantCylindrical::getParameters | ( |  | ) | const

Definition at line 292 of file EquidistantCylindrical.cpp.

EquidistantCylindrical & EquidistantCylindrical::operator= | ( | const EquidistantCylindrical & | ec | ) |

Definition at line 267 of file EquidistantCylindrical.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/eqdcyl/EquidistantCylindrical.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/eqdcyl/EquidistantCylindrical.cpp